Groovy 1.7.0

## org.codehaus.groovy.vmplugin
Interface VMPlugin

    interface VMPlugin

Interface to access VM version based actions. This interface is for internal use only!

author:
  Jochen Theodorou

Method Summary
`void` | `configureAnnotation(AnnotationNode an)`
`void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
`Class[]` | `getPluginDefaultGroovyMethods()`
`void` | `setAdditionalClassInformation(ClassNode c)`

Method Detail

### configureAnnotation

    public void configureAnnotation(AnnotationNode an)

### configureClassNode

    public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

### getPluginDefaultGroovyMethods

    public Class[] getPluginDefaultGroovyMethods()

### setAdditionalClassInformation

    public void setAdditionalClassInformation(ClassNode c)

Copyright © 2003-2009 The Codehaus. All rights reserved.